import 'package:basic_ui/basic_ui.dart';
import 'package:flutter/material.dart';

class TextFieldPage extends StatelessWidget {
  const TextFieldPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final formKey = GlobalKey<FormState>();
    return BasicScaffold(
      title: "Text Field",
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: SingleChildScrollView(
          child: Form(
            key: formKey,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                BasicTextField(
                  label: "Text Field",
                  defaultValue: "Hello World!",
                  borderWidth: 0,
                  fillColor: Colors.grey[200],
                  borderRadius: 10,
                  validator: (value) {
                    if (value == null || value.isEmpty) {
                      return 'Please enter some text';
                    }
                    return null;
                  },
                ),
                const SizedBox(height: 16),
                BasicButton("Validate", onPressed: () {
                  formKey.currentState!.validate();
                })
              ],
            ),
          ),
        ),
      ),
    );
  }
}
