import 'package:flutter/material.dart';

import 'basic_text.dart';

/// Widget to show detail of information
class BasicDetail extends StatelessWidget {
  const BasicDetail({
    Key? key,
    required this.title,
    required this.subTitle,
  }) : super(key: key);

  /// Text to represent detail title.
  final String title;

  /// Text to represent detail value.
  final String subTitle;

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        BasicText(
          title,
          variant: BasicTextVariant.label,
          color: Colors.white,
        ),
        BasicText(
          subTitle,
          variant: BasicTextVariant.small,
          color: Colors.white,
        ),
      ],
    );
  }
}
